Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.hsqldb
Class HsqlDbPlatform

    java.lang.Object
      org.apache.ddlutils.util.JdbcSupport
          org.apache.ddlutils.platform.PlatformImplBase
              org.apache.ddlutils.platform.hsqldb.HsqlDbPlatform

All Implemented Interfaces:
  Platform

    public class HsqlDbPlatform

extends PlatformImplBase

The platform implementation for the HsqlDb database.

Version:
  $Revision: 231306 $

Field Summary
`static String` | `DATABASENAME` Database name of this platform.
`static String` | `JDBC_DRIVER` The standard Hsqldb jdbc driver.
`static String` | `JDBC_SUBPROTOCOL` The subprotocol used by the standard Hsqldb driver.

Fields inherited from class org.apache.ddlutils.platform.PlatformImplBase
`MODEL_DEFAULT_NAME`

Constructor Summary
`HsqlDbPlatform()` Creates a new instance of the Hsqldb platform.

Method Summary
`String` | `getName()` Returns the name of the database that this platform is for.
`void` | `shutdownDatabase(Connection connection)` Performs a shutdown at the database. This is necessary for some embedded databases which otherwise would be locked and thus would refuse other connections. Note that this does not change the database structure or data in it in any way.

Methods inherited from class org.apache.ddlutils.platform.PlatformImplBase
`afterInsert, afterUpdate, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, beforeInsert, beforeUpdate, createDatabase, createDeleteSql, createInsertSql, createResultSetIterator, createSelectLastInsertIdSql, createTables, createTables, createTables, createTables, createUpdateSql, delete, delete, dropDatabase, dropTable, dropTable, dropTables, dropTables, evaluateBatch, evaluateBatch, exists, extractColumnValue, fetch, fetch, fetch, fetch, fetch, fetch, fetch, fetch, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getCreateTablesSql, getCreateTablesSql, getDeleteSql, getDropTableSql, getDropTablesSql, getInsertSql, getLog, getModelReader, getObjectFromResultSet, getObjectFromResultSet, getPlatformInfo, getSqlBuilder, getUpdateSql, insert, insert, insert, insert, isDelimitedIdentifierModeOn, isForeignKeysSorted, isIdentityOverrideOn, isScriptModeOn, isSqlCommentsOn, logWarnings, postprocessModelFromDatabase, query, query, query, query, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, setDelimitedIdentifierModeOn, setForeignKeysSorted, setIdentityOverrideOn, setModelReader, setObject, setScriptModeOn, setSqlBuilder, setSqlCommentsOn, setStatementParameterValue, shutdownDatabase, store, toColumnValues, update, update`

Methods inherited from class org.apache.ddlutils.util.JdbcSupport
`borrowConnection, closeStatement, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.Platform
`borrowConnection, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Field Detail

### DATABASENAME

    public static final String DATABASENAME

  Database name of this platform.

  See Also:
    Constant Field Values

### JDBC_DRIVER

    public static final String JDBC_DRIVER

  The standard Hsqldb jdbc driver.

  See Also:
    Constant Field Values

### JDBC_SUBPROTOCOL

    public static final String JDBC_SUBPROTOCOL

  The subprotocol used by the standard Hsqldb driver.

  See Also:
    Constant Field Values

Constructor Detail

### HsqlDbPlatform

    public HsqlDbPlatform()

  Creates a new instance of the Hsqldb platform.

Method Detail

### getName

    public String getName()

  Returns the name of the database that this platform is for.

  Returns:
    The name

### shutdownDatabase

    public void shutdownDatabase(Connection connection)

  Performs a shutdown at the database. This is necessary for some embedded databases which otherwise would be locked and thus would refuse other connections. Note that this does not change the database structure or data in it in any way.

  Specified by:
    `shutdownDatabase` in interface `Platform`
  Overrides:
    `shutdownDatabase` in class `PlatformImplBase`
  Parameters:
    `connection` - The connection to the database

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.